Page MenuHomePhabricator

Adoption request for "tools-info"
Closed, ResolvedPublic

Description

I, @MusikAnimal, request being added as a co-maintainer of "tools-info". The tools admin link is https://tools.wmflabs.org/admin/tool/tools-info
Following the Adoption policy, Either:

The current maintainer(s) have been notified on all of their:

Please could the TFSC :

  • check the tool's home directory for obvious secret information, following the Adoption policy instructions

To clarify my intentions: I would like to redirect https://tools.wmflabs.org/tools-info/optimizer.py to https://tools.wmflabs.org/sql-optimizer

In my messages to Hedonil, I said I would host the replacement tool there, but the replacement is a Node application with a completely different UI. I now think it may make more sense to put in a redirect.

It has also occurred to me that the auto-generated dumps of the Toolforge views are no longer working (last updated October 2016): https://tools.wmflabs.org/tools-info/schemas.php?schema=views. I would like to investigate this as well, and if I can get them working, perhaps migrate/redirect them to the sql-optimizer tool too (since it makes more sense there I think, as opposed to "Tools Info" which has a Toolforge file browser and other features unrelated to the replicas).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2018, 6:18 PM
MusikAnimal updated the task description. (Show Details)Jun 4 2018, 6:19 PM

@Quiddity @Matanya @eranroz @Harej @Ladsgroup @Huji

Anyone willing to

check the tool's home directory for obvious secret information, following the Adoption policy instructions

I think it's better to have two or more people so that they/we can double check each other.

I can take this over tonight. Add me there.

I can take this over tonight. Add me there.

I think I did it. Let me know.

If more help is needed, let me know.

This is more complex than I thought. Lots of files.

I looked at the files. except the replica.my.cnf and .my.cnf which are part of the tool (the user starts with "s"), there is no other password or sensitive data stored there. so it's clear to take over.

Shall we take a backup of the files?

Shall we take a backup of the files?

I don't plan on deleting anything, if that is the concern. I may try to fix the view dumps, but the SQL Optimizer itself will simply be redirected.

zhuyifei1999 added a comment.EditedJun 16 2018, 6:07 PM

Let's go ahead with this? Or are there other concerns / objections? I think @Ladsgroup can add @MusikAnimal to the maintainer list.

Ladsgroup closed this task as Resolved.Jun 16 2018, 8:13 PM
Ladsgroup claimed this task.

Added @MusikAnimal there. Thank you for your help!

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 16 2018, 8:13 PM
Vvjjkkii renamed this task from Adoption request for "tools-info" to vnbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Huji, Aklapper.
CommunityTechBot renamed this task from vnbaaaaaaa to Adoption request for "tools-info".Jul 1 2018, 10:02 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Ladsgroup.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: Huji, Aklapper.